Public Class MainForm
    Inherits System.Windows.Forms.Form

#Region " Windows tH[ fUCiŐꂽR[h "

    Public Sub New()
        MyBase.New()

        ' ̌Ăяo Windows tH[ fUCiŕKvłB
        InitializeComponent()

		' InitializeComponent() Ăяǒɏǉ܂B
   End Sub

	' Form ́AR|[lgꗗɌ㏈s邽߂ dispose I[o[Ch܂B
	Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			If Not (components Is Nothing) Then
				components.Dispose()
			End If
		End If
		MyBase.Dispose(disposing)
	End Sub

	' Windows tH[ fUCiŕKvłB
	Private components As System.ComponentModel.IContainer

	'  : ȉ̃vV[ẂAWindows tH[ fUCiŕKvłB
	'Windows tH[ fUCigĕύXĂB  
	' R[h GfB^gĕύXȂłB
	Friend WithEvents OpenButton As System.Windows.Forms.Button
	Friend WithEvents SoundFontOpen As System.Windows.Forms.OpenFileDialog
	Friend WithEvents MusicFileOpen As System.Windows.Forms.OpenFileDialog
    Friend WithEvents PlayButton As System.Windows.Forms.Button
    Friend WithEvents StopButton As System.Windows.Forms.Button
    Friend WithEvents ImageList As System.Windows.Forms.ImageList
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
Me.components = New System.ComponentModel.Container
Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(MainForm))
Me.OpenButton = New System.Windows.Forms.Button
Me.SoundFontOpen = New System.Windows.Forms.OpenFileDialog
Me.MusicFileOpen = New System.Windows.Forms.OpenFileDialog
Me.PlayButton = New System.Windows.Forms.Button
Me.StopButton = New System.Windows.Forms.Button
Me.ImageList = New System.Windows.Forms.ImageList(Me.components)
Me.SuspendLayout()
'
'OpenButton
'
Me.OpenButton.Location = New System.Drawing.Point(8, 8)
Me.OpenButton.Name = "OpenButton"
Me.OpenButton.Size = New System.Drawing.Size(48, 24)
Me.OpenButton.TabIndex = 0
Me.OpenButton.Text = "Open"
'
'SoundFontOpen
'
Me.SoundFontOpen.DefaultExt = "MPF"
Me.SoundFontOpen.Filter = "SoundFontFile(*.MPF)|*.MPF"
'
'MusicFileOpen
'
Me.MusicFileOpen.DefaultExt = "mid"
Me.MusicFileOpen.Filter = "MID/RCP File|*.mid;*.midi;*.rmi;*.rcp"
'
'PlayButton
'
Me.PlayButton.Location = New System.Drawing.Point(64, 8)
Me.PlayButton.Name = "PlayButton"
Me.PlayButton.Size = New System.Drawing.Size(48, 24)
Me.PlayButton.TabIndex = 3
Me.PlayButton.Text = "Play"
'
'StopButton
'
Me.StopButton.Location = New System.Drawing.Point(120, 8)
Me.StopButton.Name = "StopButton"
Me.StopButton.Size = New System.Drawing.Size(48, 24)
Me.StopButton.TabIndex = 4
Me.StopButton.Text = "Stop"
'
'ImageList
'
Me.ImageList.ImageSize = New System.Drawing.Size(16, 16)
Me.ImageList.TransparentColor = System.Drawing.Color.Transparent
'
'MainForm
'
Me.AutoScaleBaseSize = New System.Drawing.Size(5, 12)
Me.ClientSize = New System.Drawing.Size(344, 245)
Me.Controls.Add(Me.StopButton)
Me.Controls.Add(Me.PlayButton)
Me.Controls.Add(Me.OpenButton)
Me.Icon = CType(resources.GetObject("$this.Icon"), System.Drawing.Icon)
Me.MaximizeBox = False
Me.Name = "MainForm"
Me.Text = "MID-Play2"
Me.ResumeLayout(False)

	End Sub

#End Region

	Private Sub OpenButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OpenButton.Click
        Dim ErrorCode As Int32

        If MusicFileOpen.ShowDialog() <> DialogResult.OK Then
            Exit Sub
        End If

        ErrorCode = SoftMidi.LoadMusicForSoftMidi(MusicFileOpen.FileName)
        If ErrorCode <> 0 Then
            MsgBox("Error = " & ErrorCode)
        End If
	End Sub

	Private Sub PlayButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PlayButton.Click
		Dim ErrorCode As Int32

		ErrorCode = SoftMidi.PlayMusicForSoftMidi()
		If ErrorCode <> 0 Then
			MsgBox("Error = " & ErrorCode)
		End If
	End Sub

	Private Sub StopButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles StopButton.Click
		Dim ErrorCode As Int32

		ErrorCode = SoftMidi.StopMusicForSoftMidi()
		If ErrorCode <> 0 Then
			MsgBox("Error = " & ErrorCode)
		End If
	End Sub

	Private Sub MainForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
		Dim ErrorCode As Int32

		InitializeSoftMidi()

		If SoundFontOpen.ShowDialog() <> DialogResult.OK Then
			Exit Sub
		End If

		ErrorCode = SoftMidi.LoadSoundFontForSoftMidi(SoundFontOpen.FileName)
		If ErrorCode <> 0 Then
			MsgBox("Error = " & ErrorCode)
		Else
			SoftMidi.SetupSoftMidi(44100, 2, 16, 32, 0)
		End If
	End Sub

	Private Sub MainForm_Closed(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Closed

		TerminateSoftMidi()
	End Sub

	Private Sub MusicFileOpen_FileOk(ByVal sender As System.Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles MusicFileOpen.FileOk

	End Sub
End Class
