' ---------------------------------------------------------
'	MID-Play2 Software MIDI Engine DLL Import Module
'									for VisualBasic.NET
' =========================================================
'											(C)2004 t.hara
' ---------------------------------------------------------

Module SoftMidi
	' --- Initialize and Terminate --
	Public Declare Unicode Sub InitializeSoftMidi Lib "SoftMidi.dll" ()
	Public Declare Unicode Sub TerminateSoftMidi Lib "SoftMidi.dll" ()
	' --- Action method ---
	Public Declare Unicode Function SetupSoftMidi Lib "SoftMidi.dll" ( _
			ByVal SamplingRate As Int32, ByVal Channels As Int32, _
			ByVal BitRate As Int32, ByVal MaxInstruments As Int32, _
			ByVal Reserved As Int32) As Int32
	Public Declare Unicode Function LoadSoundFontForSoftMidi Lib "SoftMidi.dll" ( _
			ByVal sFileName As String) As Int32
	Public Declare Unicode Function LoadMusicForSoftMidi Lib "SoftMidi.dll" ( _
			ByVal sFileName As String) As Int32
	Public Declare Unicode Function PlayMusicForSoftMidi Lib "SoftMidi.dll" () As Int32
	Public Declare Unicode Function StopMusicForSoftMidi Lib "SoftMidi.dll" () As Int32
	Public Declare Unicode Function SeekMusicForSoftMidi Lib "SoftMidi.dll" (ByVal Position As Int32) As Int32

	' --- Property Operation ---
	Public Declare Unicode Function GetVersionFromSoftMidi Lib "SoftMidi.dll" () As Int32
	Public Declare Unicode Function GetErrorMessageFromSoftMidi Lib "SoftMidi.dll" (ByVal ErrorCode As Int32) As String
	Public Declare Unicode Function GetMusicLengthFromSoftMidi Lib "SoftMidi.dll" () As Int32
	Public Declare Unicode Function GetCurrentMusicPositionFromSoftMidi Lib "SoftMidi.dll" () As Int32
	Public Declare Unicode Function IsPlayingSoftMidi Lib "SoftMidi.dll" () As Int32
End Module
